Table table;
String nombrePais[];
int poblacion[];
int continentes[];
float porcentajesPoblacion[];
float totalPoblacion = 0;
int xr[], yr[], wr[], hr[];

void setup() {
  size(1000, 500);
  table = loadTable("WHO.csv", "header");
  println(table.getRowCount() + " total rows in table"); 
  nombrePais = new String[table.getRowCount()+1];
  poblacion = new int[table.getRowCount()+1];
  continentes = new int[table.getRowCount()+1];
  porcentajesPoblacion = new float[table.getRowCount()+1];
  xr = new int[table.getRowCount()+1];
  yr = new int[table.getRowCount()+1];
  wr = new int[table.getRowCount()+1];
  hr = new int[table.getRowCount()+1];
  
  for (TableRow row : table.rows ()) {
    int id = row.getInt("CountryID");
    String pais = row.getString("Country");
    nombrePais[id] = pais;
    int gentecita = row.getInt("Population (in thousands) total");
    poblacion[id] = gentecita; 
    int continente = row.getInt("Continent");
    continentes[id] = continente;
    //println(pais + " id: "+id+" continent: "+continente);
  }
  
  for(int i = 1; i < table.getRowCount()+1; i = i+1) {
    totalPoblacion = totalPoblacion + poblacion[i];
  }
  
  for(int i = 1; i < table.getRowCount()+1; i = i+1) {
    porcentajesPoblacion[i] = poblacion[i]/totalPoblacion*100;
//    println(nombrePais[i] + ": "+ promedio); 
  }
  
  int x = 0;
  for (int i = 1; i < table.getRowCount()+1; i = i+1) {
    int gentecita = poblacion[i];
    float genteEscala = map(gentecita, 0, 1328474, 0, 460);
    xr[i] = x;
    yr[i] = (int)((height-20)-genteEscala);
    wr[i] = 3;
    hr[i] = (int)genteEscala;
    x = x + 5; 
  }
  println(" el total de la poblacion mundial es: "+totalPoblacion);
   
}

void draw() {
  background(255);
  int x = 0;
  for (int i = 1; i < table.getRowCount()+1; i = i+1) {
    int gentecita = poblacion[i]; 
    int continente = continentes[i];
    float genteEscala = map(gentecita, 0, 1328474, 0, 460);
    if (continente == 7) {
      fill(30, 200, 20);
    } else {
      fill(180);
    }
    //if(mouseX>=xr[i] && mouseX<=xr[i]+wr[i] && mouseY>=yr[i] && mouseY<=yr[i]+hr[i]) {
    if(mouseX>=xr[i] && mouseX<=xr[i]+wr[i]) {  
      fill(200, 30, 20);
      text(nombrePais[i],xr[i],yr[i]-10);
    }
    noStroke(); 
    rect(x, (height-20)-genteEscala, 3, genteEscala);
    x = x + 5;     
  }
}

